package com.seer.teach.common.enums;

import lombok.Getter;

/**
 * 用户类型枚举
 */
@Getter
public enum UserTypeEnum {


    ADMIN(0, "管理员"),
    PARENT(1, "家长"),
    CHILDREN(2, "孩子"),
    SYSTEM(3, "系统"),
    MERCHANT(4, "商家");

    UserTypeEnum(int code, String description) {
        this.code = code;
        this.description = description;
    }
    private final int code;

    private final String description;
}